Issue with MPI-API

Dear all,
I am currently trying to download data from MP by using pymatgen, on a HPC. However, I am encountering this error:

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/project/ML_YBCO/nic/my_env_python/lib/python3.8/site-packages/requests/adapters.py”, line 486, in send
resp = conn.urlopen(
File “/project/ML_YBCO/nic/my_env_python/lib/python3.8/site-packages/urllib3/connectionpool.py”, line 755, in urlopen
retries = retries.increment(
File “/project/ML_YBCO/nic/my_env_python/lib/python3.8/site-packages/urllib3/util/retry.py”, line 574, in increment
raise MaxRetryError(_pool, url, error or ResponseError(cause))
urllib3.exceptions.MaxRetryError: HTTPSConnectionPool(host=‘api.materialsproject.org’, port=443): Max retries exceeded with url: /heartbeat (Caused by NewConnectionError(‘<urllib3.connection.HTTPSConnection object at 0x7f286e94ee80>: Failed to establish a new connection: [Errno 101] Network is unreachable’))

Is it caused by issues related to API traffic or is there something wrong with the HPC I am working with?
Would be very helpful to have a response.
Best regards,
Niccolò Di Eugenio

@nicdieugenio have you confirmed that you are able to reach other outside servers on the internet from within the HPC cluster?

– Jason